<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include layout="@layout/supply_chain_top_bar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_15"
        android:layout_marginTop="@dimen/dp_10"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="入庫類型："
            android:textColor="@color/theme_333_color"
            android:textSize="@dimen/supply_chain_textSize_16" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_warehousing_type"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_warehousing_food"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />


    <androidx.appcompat.widget.SwitchCompat
        android:id="@+id/switch_warehousing_is_print"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_15"
        android:shadowColor="@color/trans"
        android:text="是否打印："
        android:textColor="@color/theme_333_color"
        android:textSize="@dimen/supply_chain_textSize_16"
        android:thumb="@drawable/shape_thumb_on"
        android:track="@drawable/selector_switch_track"
        android:visibility="gone" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_15"
        android:layout_marginTop="@dimen/dp_5"
        android:layout_marginRight="@dimen/dp_15"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="總數："
            android:textColor="@color/color_222"
            android:textSize="@dimen/supply_chain_textSize_16" />

        <TextView
            android:id="@+id/tv_food_species"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:textColor="@color/required_color"
            android:textSize="@dimen/supply_chain_textSize_16"
            android:textStyle="bold"
            tools:text="3" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_10"
            android:gravity="right"
            android:text="總計："
            android:textColor="@color/color_222"
            android:textSize="@dimen/supply_chain_textSize_16" />

        <TextView
            android:id="@+id/tv_order_total_amount"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:textColor="@color/required_color"
            android:textSize="@dimen/supply_chain_textSize_16"
            android:textStyle="bold"
            tools:text="$330" />
    </LinearLayout>

    <EditText
        android:id="@+id/ed_remark"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_15"
        android:layout_marginTop="@dimen/dp_2"
        android:layout_marginRight="@dimen/dp_15"
        android:hint="@string/str_remark"
        android:textColorHint="@color/color_ccc"
        android:textCursorDrawable="@drawable/cursor_theme"
        android:textSize="@dimen/supply_chain_textSize_16" />

    <LinearLayout
        android:id="@+id/layout_btn"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_15"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_15"
        android:layout_marginBottom="@dimen/dp_10"
        android:orientation="horizontal">

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/tv_order_confirm"
            style="@style/app_btn_style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@drawable/shape_app_btn_small_radius"
            android:gravity="center"
            android:paddingLeft="@dimen/dp_35"
            android:paddingTop="@dimen/dp_10"
            android:paddingRight="@dimen/dp_35"
            android:paddingBottom="@dimen/dp_10"
            android:text="確定" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/tv_order_cancel"
            style="@style/Cancel_Btn_Style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_15"
            android:layout_weight="1"
            android:gravity="center"
            android:paddingLeft="@dimen/dp_35"
            android:paddingTop="@dimen/dp_10"
            android:paddingRight="@dimen/dp_35"
            android:paddingBottom="@dimen/dp_10"
            android:text="取消" />
    </LinearLayout>
</LinearLayout>